/******************************************************************************/
/*                                                                            */
/*    Copyright (c)The 3Delight Developers.                                   */
/*    All Rights Reserved.                                                    */
/*                                                                            */
/******************************************************************************/

// ===========================================================================
// = LIBRARY
//     3delight
// = FILENAME
//     delight.h
// = AUTHOR(S)
//     Patrick Fournier
// = VERSION
//     $Revision: 1.5 $
// = DATE RELEASED
//     $Date: 2003/07/22 17:23:47 $
// = RCSID
//     $Id: delight.h,v 1.5 2003/07/22 17:23:47 olivier Exp $
// ===========================================================================


#ifndef __delight_H
#define __delight_H


#undef DL_IMPORT

#if defined(WIN32) || defined(_WIN32)
#define DL_IMPORT __declspec(dllimport)
#else
#define DL_IMPORT
#endif

DL_IMPORT const char* DlGetVersionString(); /* 1.1.1a (Jan 01 2000) */
DL_IMPORT const char* DlGetLibNameAndVersionString(); /* 3DeLight 1.1.1a (Jan 01 2000) */
DL_IMPORT const char* DlGetCopyrightString(); /* 3DeLight 1.1.1a (Jan 01 2000) */


/* Return 0 if no error */
DL_IMPORT int DlTextureToTiff(const char* textureFile,const char* tiffFile,int image,int level);


#define DL_FILTER_BOX			0
#define DL_FILTER_GAUSSIAN		1
#define DL_FILTER_CATMULL_ROM	2

DL_IMPORT int DlMakeTexture(const char* inFileName, const char* outFileName,
							const char* swrap,const char* twrap,
							int filter,float swidth,float tWidth);


DL_IMPORT int DlMakeCubeFaceEnvironment(const char *px, const char *nx, 
										const char *py, const char *ny, 
										const char *pz, const char *nz, 
										const char *texturename, 
										float fov, int filterId, 
										float swidth, float twidth);

DL_IMPORT int DlMakeLatLongEnvironment(	const char* picturename,
										const char* texturename,
							  			int filterID,float swidth,float twidth);

#endif // __delight_HH

