/******************************************************************************/
/*                                                                            */
/*    Copyright (c)The 3Delight Developers.                                   */
/*    All Rights Reserved.                                                    */
/*                                                                            */
/******************************************************************************/

// ===========================================================================
// = LIBRARY
//     3delight
// = FILENAME
//     dlLightHidden.h
// = AUTHOR(S)
//     Aghiles Kheffache
// = VERSION
//     $Revision: 1.5 $
// = DATE RELEASED
//     $Date: 2002/04/23 00:55:17 $
// = RCSID
//     $Id: dlImagerHidden.h,v 1.5 2002/04/23 00:55:17 aghiles Exp $
// ===========================================================================

#ifndef __dlImagerHidden_H
#define __dlImagerHidden_H

#include "dlTokenInfo.h"
#include "dlHidden.h"

class DlTokenRegWithDefault;
class DlVar;

/*
	DlImagerHidden

*/
class DlImagerHidden : public DlHidden
{
public:
	DlImagerHidden();
	~DlImagerHidden();

	virtual void Init( const DlTokenRegWithDefault*, unsigned i_neededMask );

	DlRGBColor *GetCi( void ) const;
	DlRGBColor *GetOi( void ) const;
	float *GetAlpha( void ) const;

	void SetAlpha(
		const DlTokenInfo::DlClass&, unsigned i_numValues, void* i_value );
	void SetOi(
		const DlTokenInfo::DlClass&, unsigned i_numValues, void* i_value );
	void SetCi(
		const DlTokenInfo::DlClass&, unsigned i_numValues, void* i_value );

	virtual DlVar *GetVar(
		DlHidden::hiddenNames i_name,
		DlVar ***o_dst=0x0 ) const;

protected:
	DlVar* m_Ci;
	DlVar* m_Oi;
	DlVar* m_alpha;
};

#endif
