/******************************************************************************/
/*                                                                            */
/*    Copyright (c)The 3Delight Team.                                         */
/*    All Rights Reserved.                                                    */
/*                                                                            */
/******************************************************************************/

surface 
paintedplastic(
	float Ks = .5;
	float Kd = .5;
	float Ka = 1;
	float roughness = .1; 
	color specularcolor = 1;
	string texturename = ""; )
{
	normal Nf;
	vector V;
	color Ct;

	Nf = faceforward(normalize(N), I);
	V = normalize(-I);

	Ct = ( texturename != "" ) ?
		texture( texturename, "filter", "gaussian" ) : 1.0;

	Oi = Os;
	Ci = (Cs * Ct * (Ka * ambient() + Kd * diffuse(Nf)) + 
		specularcolor * Ks * specular(Nf, V, roughness));

	Ci *= Oi;
}
